Bug 7960 - Подвисает и перестаёт забирать почту
: Подвисает и перестаёт забирать почту
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/fetchmail)
: unstable
: all Linux
: P2 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-09-14 14:52 by
Modified: 2008-08-14 11:26 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-09-14 14:52:36
После некоторого времени работы перестаёт забирать почту, после перезапуска
забирает нормально опятьже до определённого момента.
Перезапускается корректно, т.е. не висит и не падает!
Версия: 
fetchmail-6.2.5-alt1.1.1    клинит раз в 5 дней;
fetchmail-6.2.5.2-alt1.M24  клинит раз в день!

Конфигурация:
//============ /etc/fetchmailrc ===================================
set postmaster "roman"
set no bouncemail
set no spambounce
set properties ""
set daemon 300
set syslog

poll imap.fromru.com timeout 60 proto pop3: user "rom_as@fromru.com", with
password "******", is "roman" here flush;
poll alicetele.com   timeout 60 proto pop3: user "diya_dva", with password
"******", is "diya" here flush;
poll alicetele.com   timeout 60 proto pop3: user "diyaon", with password
"*****", is "diyaon" here flush;
//============ /etc/fetchmailrc ===================================
------- Comment #1 From 2005-09-14 20:25:29 -------
Попробуйте запустить fetchmail с опциями
-vv --logfile ~/tmp/fetchmail.log
и проследить, на каком моменте возникает проблема.
------- Comment #2 From 2005-09-16 13:02:51 -------
(In reply to comment #1)
> Попробуйте запустить fetchmail с опциями
> -vv --logfile ~/tmp/fetchmail.log
> и проследить, на каком моменте возникает проблема.

Останавливается на записях:
//--------------------------------------------
Sep 16 03:03:56 server fetchmail[26913]: 6.2.5.2 querying alicetele.com
(protocol POP3) at Птн 16 Вер 2005 03:03:56: poll started
Sep 16 03:03:56 server fetchmail[26913]: POP3< +OK POP3 alicetele.com v2003.83
server ready
Sep 16 03:03:56 server fetchmail[26913]: POP3> CAPA
Sep 16 03:03:56 server fetchmail[26913]: POP3< +OK Capability list follows:
Sep 16 03:03:56 server fetchmail[26913]: POP3< TOP
Sep 16 03:03:56 server fetchmail[26913]: POP3< LOGIN-DELAY 180
Sep 16 03:03:56 server fetchmail[26913]: POP3< UIDL
Sep 16 03:03:56 server fetchmail[26913]: POP3< STLS
Sep 16 03:03:56 server fetchmail[26913]: POP3< USER
Sep 16 03:03:56 server fetchmail[26913]: POP3< SASL LOGIN
Sep 16 03:03:56 server fetchmail[26913]: POP3< .
Sep 16 03:03:56 server fetchmail[26913]: POP3> STLS
Sep 16 03:03:57 server fetchmail[26913]: POP3< +OK STLS completed
//------------------------------------------------------------------
Полный протокол последней удачной сессии и последней, после которой уже ни одной
записи от fetchmail нет я высылаю почтой.
------- Comment #3 From 2005-12-14 17:00:35 -------
Всё ещё подвисает, с периодичностью раз в неделю.
------- Comment #4 From 2005-12-14 17:06:23 -------
Всё ещё подвисает, с периодичностью раз в неделю.
------- Comment #5 From 2005-12-15 12:21:42 -------
Последняя попытка: попробуйте fetchmail-6.3.0-alt1
Если воспроизведется, будем пинать разработчиков.
------- Comment #6 From 2006-01-05 23:53:48 -------
Может быть интересно в свете этой проблемы, особенно socket leak:

On 2005-12-19, fetchmail-6.3.1 and fetchmail-6.2.5.5 were released (this is the
download link), fixing a segfault bug (CVE-2005-4348: denial of service
possible
through malicious upstream server), a socket leak and, in 6.3.1, other bugs.

fetchmail-6.3.1-alt1 скоро будет в Sisyphus, версия для updates обсуждается.
------- Comment #7 From 2006-01-23 17:53:02 -------
На текущем актуально?
------- Comment #8 From 2006-01-25 09:59:13 -------
(In reply to comment #7)
> На текущем актуально?
Давно не замечал подвисаний, однако уверенно сказать что всё нормально немогу
поскольку система в целом по непонятной причине начала зависать.
------- Comment #9 From 2006-02-19 23:27:13 -------
Откройте баг, если возникнет снова.
------- Comment #10 From 2006-02-21 09:56:02 -------
Уже месяц работает сервак. Полёт нормальный. :)
------- Comment #11 From 2006-11-24 13:03:18 -------
Ну так и закрыл бы.
------- Comment #12 From 2006-11-24 13:03:57 -------
reportedly fixed
------- Comment #13 From 2008-08-14 11:26:54 -------
Branch 4.1
Месяц работы, полёт нормальный.